isolate 1.1.0

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 96

Build Status Coverage Status

Helps with isolates and isolate communication in Dart.

The package contains individual libraries with different purposes.

Creating send ports and responding to messages.

The "ports.dart" sub-library contains functionality for creating SendPorts and reacting to values sent to those ports.

Working with isolates and running functions in other isolates.

The "isolate_runner.dart" sub-library introduces an IsolateRunner class that gives easy access to the Isolate functionality, and also gives a way to run new functions in the isolate repeatedly, instead of just on the initial spawn call.

A central registry for values that can be used across isolates.

The "registry.dart" sub-library provides a way to create an object registry, and give access to it across different isolates.

Balancing load across several isolates.

The "load_balancer.dart" sub-library can manage multiple Runner objects, including IsolateRunner, and run functions on the currently least loaded runner.

Features and bugs

Please file feature requests and bugs at the issue tracker.

1.1.0

  • Add generic arguments to run in LoadBalancer and IsolateRunner.
  • Add generic arguments to singleCallbackPort and singleCompletePort.

1.0.0

  • Change to using package:test for testing.

0.2.3

  • Fixed strong mode analysis errors.
  • Migrated tests to package:test.

0.2.2

  • Made Isolate.kill parameter priority a named parameter.

0.2.1

  • Fixed spelling in a number of doc comments and the README.

0.2.0

  • Renamed library isolaterunner.dart to isolate_runner.dart.
  • Renamed library loadbalancer.dart' toload_balancer.dart`.

0.1.0

  • Initial version
  • Adds IsolateRunner as a helper around Isolate.
  • Adds single-message port helpers and a load balancer.

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  isolate: "^1.1.0"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:isolate/isolate.dart';
        
Version Uploaded Documentation Archive
1.1.0 Sep 20, 2017 Go to the documentation of isolate 1.1.0 Download isolate 1.1.0 archive
1.0.0 Jan 23, 2017 Go to the documentation of isolate 1.0.0 Download isolate 1.0.0 archive
0.2.3 Aug 18, 2016 Go to the documentation of isolate 0.2.3 Download isolate 0.2.3 archive
0.2.2 Apr 15, 2015 Go to the documentation of isolate 0.2.2 Download isolate 0.2.2 archive
0.2.0 Mar 24, 2015 Go to the documentation of isolate 0.2.0 Download isolate 0.2.0 archive
0.1.1 Mar 18, 2015 Go to the documentation of isolate 0.1.1 Download isolate 0.1.1 archive
0.1.0 Jan 30, 2015 Go to the documentation of isolate 0.1.0 Download isolate 0.1.0 archive

Analysis

This feature is new.
We welcome feedback.

We analyzed this package, and provided a score, details, and suggestions below.

  • completed on Dec 6, 2017
  • Dart: 2.0.0-dev.8.0
  • pana: 0.7.3+1

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
92
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall score:
Weighted score of the above. [more]
96

Platforms

Detected platforms: Flutter, server, web

All libraries agree

Dependencies

Package Constraint Resolved Available
Dev dependencies
test ^0.12.0